com.aliyun.player.bean

## Enum ErrorCode

- java.lang.Object
- - java.lang.Enum<ErrorCode>
  - - com.aliyun.player.bean.ErrorCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ErrorCode>

      public enum ErrorCode
      extends java.lang.Enum<ErrorCode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOWNLOAD_ERROR_AUTH_SOURCE_NULL`
    `DOWNLOAD_ERROR_AUTH_SOURCE_WRONG`
    `DOWNLOAD_ERROR_CANNOT_CREATE_SAVE_DIR`
    `DOWNLOAD_ERROR_CLEAN_INVALID_PARAM`
    `DOWNLOAD_ERROR_CLEAN_WRONG_STATUS`
    `DOWNLOAD_ERROR_DOWNLOAD_SWITCH_OFF`
    `DOWNLOAD_ERROR_ENCRYPT_ERROR`
    `DOWNLOAD_ERROR_ENCRYPT_FILE_NOT_MATCH`
    `DOWNLOAD_ERROR_ENCRYPTION_NOT_SUPPORT`
    `DOWNLOAD_ERROR_FILE_NOT_EXIST`
    `DOWNLOAD_ERROR_GET_AES_KEY_FAIL`
    `DOWNLOAD_ERROR_INVALID_ITEM`
    `DOWNLOAD_ERROR_NET_ERROR`
    `DOWNLOAD_ERROR_NO_DOWNLOAD_ITEM`
    `DOWNLOAD_ERROR_NO_SPACE`
    `DOWNLOAD_ERROR_NOT_SELECT_ITEM`
    `DOWNLOAD_ERROR_NOT_SET_SAVE_DIR`
    `DOWNLOAD_ERROR_NOT_SUPPORT_FORMAT`
    `DOWNLOAD_ERROR_STS_SOURCE_NULL`
    `DOWNLOAD_ERROR_URL_CANNOT_REACH`
    `DOWNLOAD_ERROR_WRITE_ERROR`
    `ERROR_ARTP_ARTP_MEDIA_INFO_TIMEOUT`
    `ERROR_ARTP_DEMUXER_UNIMPLEMENTED`
    `ERROR_ARTP_LOAD_FAILED`
    `ERROR_ARTP_MEDIA_PROBE_FAILED`
    `ERROR_ARTP_PACKET_RECV_TIMEOUT`
    `ERROR_ARTP_PLAY_TIMEOUT`
    `ERROR_ARTP_STREAM_FORBIDDEN`
    `ERROR_ARTP_STREAM_ILLEGAL`
    `ERROR_ARTP_STREAM_NOT_FOUND`
    `ERROR_ARTP_STREAM_STOPPED`
    `ERROR_ARTP_UNKNOWN`
    `ERROR_CODEC_AUDIO_NOT_SUPPORT`
    `ERROR_CODEC_UNKNOWN`
    `ERROR_CODEC_VIDEO_NOT_SUPPORT`
    `ERROR_DATASOURCE_EMPTYURL`
    `ERROR_DECODE_AUDIO`
    `ERROR_DECODE_BASE`
    `ERROR_DECODE_VIDEO`
    `ERROR_DEMUXER_NO_VALID_STREAM`
    `ERROR_DEMUXER_OPENSTREAM`
    `ERROR_DEMUXER_OPENURL`
    `ERROR_DEMUXER_START`
    `ERROR_GENERAL_EIO`
    `ERROR_GENERAL_ENOENT`
    `ERROR_GENERAL_EPERM`
    `ERROR_GENERAL_UNKNOWN`
    `ERROR_INERNAL_EXIT`
    `ERROR_INERNAL_UNKNOWN`
    `ERROR_KEYMANAGER_UNKNOWN`
    `ERROR_LOADING_TIMEOUT`
    `ERROR_NETWORK_CONNECT_TIMEOUT`
    `ERROR_NETWORK_COULD_NOT_CONNECT`
    `ERROR_NETWORK_HTTP_400`
    `ERROR_NETWORK_HTTP_403`
    `ERROR_NETWORK_HTTP_404`
    `ERROR_NETWORK_HTTP_4XX`
    `ERROR_NETWORK_HTTP_5XX`
    `ERROR_NETWORK_HTTP_RANGE`
    `ERROR_NETWORK_HTTP_REDIRECT_NONMEDIA`
    `ERROR_NETWORK_RESOLVE`
    `ERROR_NETWORK_UNKNOWN`
    `ERROR_NETWORK_UNSUPPORTED`
    `ERROR_NO_MATCH_QUALITY`
    `ERROR_NO_PLAY_INFO`
    `ERROR_PLAYAUTH_WRONG`
    `ERROR_REQUEST_FAIL`
    `ERROR_SERVER_LIVESHIFT_DATA_PARSER_ERROR`
    `ERROR_SERVER_LIVESHIFT_REQUEST_ERROR`
    `ERROR_SERVER_LIVESHIFT_UNKNOWN`
    `ERROR_SERVER_MPS_AUTH_KEY_EXIST`
    `ERROR_SERVER_MPS_AUTH_KEY_NOT_EXIST`
    `ERROR_SERVER_MPS_CDN_CONFIG_NOT_EXIST`
    `ERROR_SERVER_MPS_CIPHERBLOB_NOT_EXIST`
    `ERROR_SERVER_MPS_DRM_AUTH_ERROR`
    `ERROR_SERVER_MPS_DRM_NOT_ACTIVATED`
    `ERROR_SERVER_MPS_HTTP_REQUEST_FAILED`
    `ERROR_SERVER_MPS_INTERNAL_ERROR`
    `ERROR_SERVER_MPS_INVALID_AUTHINFO`
    `ERROR_SERVER_MPS_INVALID_AUTHTIMEOUT`
    `ERROR_SERVER_MPS_INVALID_CIPHERTEXTBLOB`
    `ERROR_SERVER_MPS_INVALID_END_USER_ID`
    `ERROR_SERVER_MPS_INVALID_FORMATS`
    `ERROR_SERVER_MPS_INVALID_IDENTITY_NOT_ORDER_VIDEO_SERVICE`
    `ERROR_SERVER_MPS_INVALID_MEDIAID`
    `ERROR_SERVER_MPS_INVALID_PARAMETER`
    `ERROR_SERVER_MPS_INVALID_PARAMETER_EMPTY_VALUE`
    `ERROR_SERVER_MPS_INVALID_PARAMETER_NULL_VALUE`
    `ERROR_SERVER_MPS_INVALID_PARAMETER_OUT_OF_BOUND`
    `ERROR_SERVER_MPS_INVALID_PARAMETER_RAND`
    `ERROR_SERVER_MPS_INVALID_SESSION_TIME`
    `ERROR_SERVER_MPS_INVALID_URL`
    `ERROR_SERVER_MPS_MEDIA_NOT_ENCRYPTED`
    `ERROR_SERVER_MPS_MEDIA_NOT_FOUND_CIPHERTEXT`
    `ERROR_SERVER_MPS_MEDIA_NOT_PUBLISHED`
    `ERROR_SERVER_MPS_MEDIA_RESOURCE_NOT_EXIST`
    `ERROR_SERVER_MPS_MEDIA_RESOURCE_NOT_MATCH`
    `ERROR_SERVER_MPS_MEDIAID_NOT_EXIST`
    `ERROR_SERVER_MPS_REDIS_POOL_IS_EMPTY`
    `ERROR_SERVER_MPS_REGION_NOT_SUPPORTED_API`
    `ERROR_SERVER_MPS_SESSION_NOT_EXIST`
    `ERROR_SERVER_MPS_SIGNATURE_CHECK_EXPIREDTIME_FAILED`
    `ERROR_SERVER_MPS_SIGNATURE_CHECK_FAILED`
    `ERROR_SERVER_MPS_SIGNATURE_CHECK_MEDIA_FAILED`
    `ERROR_SERVER_MPS_UNKNOWN`
    `ERROR_SERVER_MPS_UPDATE_CDN_DOMAIN_CONFIGS_FAIL`
    `ERROR_SERVER_MPS_XML_FORMAT_ERROR`
    `ERROR_SERVER_NO_RESPONSE`
    `ERROR_SERVER_POP_ACCESSKEYID_NOT_FOUND`
    `ERROR_SERVER_POP_FORBIDDEN`
    `ERROR_SERVER_POP_INTERNAL_ERROR`
    `ERROR_SERVER_POP_INVALID_PARAMETER`
    `ERROR_SERVER_POP_MISSING_PARAMETER`
    `ERROR_SERVER_POP_OPERATION_DENIED`
    `ERROR_SERVER_POP_OPERATION_SUSPENED`
    `ERROR_SERVER_POP_SECURITYTOKEN_MAILFORMED`
    `ERROR_SERVER_POP_SECURITYTOKEN_MISMATCH_ACCESSKEY`
    `ERROR_SERVER_POP_SERVICE_UNAVALIABLE`
    `ERROR_SERVER_POP_SIGNATURE_NOT_MATCH`
    `ERROR_SERVER_POP_SIGNATUREANONCE_USED`
    `ERROR_SERVER_POP_TOKEN_EXPIRED`
    `ERROR_SERVER_POP_UNKNOWN`
    `ERROR_SERVER_VOD_FORBIDDEN_ALIYUNVODENCRYPTION`
    `ERROR_SERVER_VOD_FORBIDDEN_ILLEGALSTATUS`
    `ERROR_SERVER_VOD_INVALIDAUTH_MEDIAID`
    `ERROR_SERVER_VOD_INVALIDAUTHINFO_EXPIRETIME`
    `ERROR_SERVER_VOD_INVALIDVIDEO_NOSTREAM`
    `ERROR_SERVER_VOD_INVALIDVIDEO_NOTFOUND`
    `ERROR_SERVER_VOD_UNKNOWN`
    `ERROR_SERVER_WRONG_JSON`
    `ERROR_TBDRM_DEMUXER_UNIMPLEMENTED`
    `ERROR_TBDRM_UNKNOWN`
    `ERROR_UNKNOWN`
    `ERROR_UNKNOWN_ERROR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static ErrorCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR_SERVER_NO_RESPONSE

          public static final ErrorCode ERROR_SERVER_NO_RESPONSE

    - #### ERROR_SERVER_WRONG_JSON

          public static final ErrorCode ERROR_SERVER_WRONG_JSON

    - #### ERROR_NO_MATCH_QUALITY

          public static final ErrorCode ERROR_NO_MATCH_QUALITY

    - #### ERROR_PLAYAUTH_WRONG

          public static final ErrorCode ERROR_PLAYAUTH_WRONG

    - #### ERROR_REQUEST_FAIL

          public static final ErrorCode ERROR_REQUEST_FAIL

    - #### ERROR_NO_PLAY_INFO

          public static final ErrorCode ERROR_NO_PLAY_INFO

    - #### ERROR_SERVER_POP_UNKNOWN

          public static final ErrorCode ERROR_SERVER_POP_UNKNOWN

    - #### ERROR_SERVER_POP_MISSING_PARAMETER

          public static final ErrorCode ERROR_SERVER_POP_MISSING_PARAMETER

    - #### ERROR_SERVER_POP_INVALID_PARAMETER

          public static final ErrorCode ERROR_SERVER_POP_INVALID_PARAMETER

    - #### ERROR_SERVER_POP_OPERATION_DENIED

          public static final ErrorCode ERROR_SERVER_POP_OPERATION_DENIED

    - #### ERROR_SERVER_POP_OPERATION_SUSPENED

          public static final ErrorCode ERROR_SERVER_POP_OPERATION_SUSPENED

    - #### ERROR_SERVER_POP_FORBIDDEN

          public static final ErrorCode ERROR_SERVER_POP_FORBIDDEN

    - #### ERROR_SERVER_POP_INTERNAL_ERROR

          public static final ErrorCode ERROR_SERVER_POP_INTERNAL_ERROR

    - #### ERROR_SERVER_POP_SERVICE_UNAVALIABLE

          public static final ErrorCode ERROR_SERVER_POP_SERVICE_UNAVALIABLE

    - #### ERROR_SERVER_POP_SIGNATUREANONCE_USED

          public static final ErrorCode ERROR_SERVER_POP_SIGNATUREANONCE_USED

    - #### ERROR_SERVER_POP_SECURITYTOKEN_MAILFORMED

          public static final ErrorCode ERROR_SERVER_POP_SECURITYTOKEN_MAILFORMED

    - #### ERROR_SERVER_POP_SECURITYTOKEN_MISMATCH_ACCESSKEY

          public static final ErrorCode ERROR_SERVER_POP_SECURITYTOKEN_MISMATCH_ACCESSKEY

    - #### ERROR_SERVER_POP_SIGNATURE_NOT_MATCH

          public static final ErrorCode ERROR_SERVER_POP_SIGNATURE_NOT_MATCH

    - #### ERROR_SERVER_POP_ACCESSKEYID_NOT_FOUND

          public static final ErrorCode ERROR_SERVER_POP_ACCESSKEYID_NOT_FOUND

    - #### ERROR_SERVER_POP_TOKEN_EXPIRED

          public static final ErrorCode ERROR_SERVER_POP_TOKEN_EXPIRED

    - #### ERROR_SERVER_VOD_UNKNOWN

          public static final ErrorCode ERROR_SERVER_VOD_UNKNOWN

    - #### ERROR_SERVER_VOD_FORBIDDEN_ILLEGALSTATUS

          public static final ErrorCode ERROR_SERVER_VOD_FORBIDDEN_ILLEGALSTATUS

    - #### ERROR_SERVER_VOD_INVALIDVIDEO_NOTFOUND

          public static final ErrorCode ERROR_SERVER_VOD_INVALIDVIDEO_NOTFOUND

    - #### ERROR_SERVER_VOD_INVALIDVIDEO_NOSTREAM

          public static final ErrorCode ERROR_SERVER_VOD_INVALIDVIDEO_NOSTREAM

    - #### ERROR_SERVER_VOD_FORBIDDEN_ALIYUNVODENCRYPTION

          public static final ErrorCode ERROR_SERVER_VOD_FORBIDDEN_ALIYUNVODENCRYPTION

    - #### ERROR_SERVER_VOD_INVALIDAUTH_MEDIAID

          public static final ErrorCode ERROR_SERVER_VOD_INVALIDAUTH_MEDIAID

    - #### ERROR_SERVER_VOD_INVALIDAUTHINFO_EXPIRETIME

          public static final ErrorCode ERROR_SERVER_VOD_INVALIDAUTHINFO_EXPIRETIME

    - #### ERROR_SERVER_MPS_UNKNOWN

          public static final ErrorCode ERROR_SERVER_MPS_UNKNOWN

    - #### ERROR_SERVER_MPS_INVALID_MEDIAID

          public static final ErrorCode ERROR_SERVER_MPS_INVALID_MEDIAID

    - #### ERROR_SERVER_MPS_INVALID_AUTHTIMEOUT

          public static final ErrorCode ERROR_SERVER_MPS_INVALID_AUTHTIMEOUT

    - #### ERROR_SERVER_MPS_INVALID_FORMATS

          public static final ErrorCode ERROR_SERVER_MPS_INVALID_FORMATS

    - #### ERROR_SERVER_MPS_INVALID_AUTHINFO

          public static final ErrorCode ERROR_SERVER_MPS_INVALID_AUTHINFO

    - #### ERROR_SERVER_MPS_SIGNATURE_CHECK_FAILED

          public static final ErrorCode ERROR_SERVER_MPS_SIGNATURE_CHECK_FAILED

    - #### ERROR_SERVER_MPS_MEDIAID_NOT_EXIST

          public static final ErrorCode ERROR_SERVER_MPS_MEDIAID_NOT_EXIST

    - #### ERROR_SERVER_MPS_MEDIA_RESOURCE_NOT_EXIST

          public static final ErrorCode ERROR_SERVER_MPS_MEDIA_RESOURCE_NOT_EXIST

    - #### ERROR_SERVER_MPS_MEDIA_NOT_PUBLISHED

          public static final ErrorCode ERROR_SERVER_MPS_MEDIA_NOT_PUBLISHED

    - #### ERROR_SERVER_MPS_MEDIA_NOT_ENCRYPTED

          public static final ErrorCode ERROR_SERVER_MPS_MEDIA_NOT_ENCRYPTED

    - #### ERROR_SERVER_MPS_INVALID_CIPHERTEXTBLOB

          public static final ErrorCode ERROR_SERVER_MPS_INVALID_CIPHERTEXTBLOB

    - #### ERROR_SERVER_MPS_CIPHERBLOB_NOT_EXIST

          public static final ErrorCode ERROR_SERVER_MPS_CIPHERBLOB_NOT_EXIST

    - #### ERROR_SERVER_MPS_INTERNAL_ERROR

          public static final ErrorCode ERROR_SERVER_MPS_INTERNAL_ERROR

    - #### ERROR_SERVER_MPS_INVALID_IDENTITY_NOT_ORDER_VIDEO_SERVICE

          public static final ErrorCode ERROR_SERVER_MPS_INVALID_IDENTITY_NOT_ORDER_VIDEO_SERVICE

    - #### ERROR_SERVER_MPS_UPDATE_CDN_DOMAIN_CONFIGS_FAIL

          public static final ErrorCode ERROR_SERVER_MPS_UPDATE_CDN_DOMAIN_CONFIGS_FAIL

    - #### ERROR_SERVER_MPS_AUTH_KEY_EXIST

          public static final ErrorCode ERROR_SERVER_MPS_AUTH_KEY_EXIST

    - #### ERROR_SERVER_MPS_AUTH_KEY_NOT_EXIST

          public static final ErrorCode ERROR_SERVER_MPS_AUTH_KEY_NOT_EXIST

    - #### ERROR_SERVER_MPS_INVALID_PARAMETER_OUT_OF_BOUND

          public static final ErrorCode ERROR_SERVER_MPS_INVALID_PARAMETER_OUT_OF_BOUND

    - #### ERROR_SERVER_MPS_INVALID_PARAMETER

          public static final ErrorCode ERROR_SERVER_MPS_INVALID_PARAMETER

    - #### ERROR_SERVER_MPS_INVALID_PARAMETER_NULL_VALUE

          public static final ErrorCode ERROR_SERVER_MPS_INVALID_PARAMETER_NULL_VALUE

    - #### ERROR_SERVER_MPS_INVALID_PARAMETER_EMPTY_VALUE

          public static final ErrorCode ERROR_SERVER_MPS_INVALID_PARAMETER_EMPTY_VALUE

    - #### ERROR_SERVER_MPS_MEDIA_RESOURCE_NOT_MATCH

          public static final ErrorCode ERROR_SERVER_MPS_MEDIA_RESOURCE_NOT_MATCH

    - #### ERROR_SERVER_MPS_MEDIA_NOT_FOUND_CIPHERTEXT

          public static final ErrorCode ERROR_SERVER_MPS_MEDIA_NOT_FOUND_CIPHERTEXT

    - #### ERROR_SERVER_MPS_INVALID_PARAMETER_RAND

          public static final ErrorCode ERROR_SERVER_MPS_INVALID_PARAMETER_RAND

    - #### ERROR_SERVER_MPS_REDIS_POOL_IS_EMPTY

          public static final ErrorCode ERROR_SERVER_MPS_REDIS_POOL_IS_EMPTY

    - #### ERROR_SERVER_MPS_SIGNATURE_CHECK_MEDIA_FAILED

          public static final ErrorCode ERROR_SERVER_MPS_SIGNATURE_CHECK_MEDIA_FAILED

    - #### ERROR_SERVER_MPS_SIGNATURE_CHECK_EXPIREDTIME_FAILED

          public static final ErrorCode ERROR_SERVER_MPS_SIGNATURE_CHECK_EXPIREDTIME_FAILED

    - #### ERROR_SERVER_MPS_INVALID_SESSION_TIME

          public static final ErrorCode ERROR_SERVER_MPS_INVALID_SESSION_TIME

    - #### ERROR_SERVER_MPS_INVALID_END_USER_ID

          public static final ErrorCode ERROR_SERVER_MPS_INVALID_END_USER_ID

    - #### ERROR_SERVER_MPS_INVALID_URL

          public static final ErrorCode ERROR_SERVER_MPS_INVALID_URL

    - #### ERROR_SERVER_MPS_HTTP_REQUEST_FAILED

          public static final ErrorCode ERROR_SERVER_MPS_HTTP_REQUEST_FAILED

    - #### ERROR_SERVER_MPS_XML_FORMAT_ERROR

          public static final ErrorCode ERROR_SERVER_MPS_XML_FORMAT_ERROR

    - #### ERROR_SERVER_MPS_SESSION_NOT_EXIST

          public static final ErrorCode ERROR_SERVER_MPS_SESSION_NOT_EXIST

    - #### ERROR_SERVER_MPS_REGION_NOT_SUPPORTED_API

          public static final ErrorCode ERROR_SERVER_MPS_REGION_NOT_SUPPORTED_API

    - #### ERROR_SERVER_MPS_DRM_NOT_ACTIVATED

          public static final ErrorCode ERROR_SERVER_MPS_DRM_NOT_ACTIVATED

    - #### ERROR_SERVER_MPS_DRM_AUTH_ERROR

          public static final ErrorCode ERROR_SERVER_MPS_DRM_AUTH_ERROR

    - #### ERROR_SERVER_MPS_CDN_CONFIG_NOT_EXIST

          public static final ErrorCode ERROR_SERVER_MPS_CDN_CONFIG_NOT_EXIST

    - #### ERROR_SERVER_LIVESHIFT_UNKNOWN

          public static final ErrorCode ERROR_SERVER_LIVESHIFT_UNKNOWN

    - #### ERROR_SERVER_LIVESHIFT_REQUEST_ERROR

          public static final ErrorCode ERROR_SERVER_LIVESHIFT_REQUEST_ERROR

    - #### ERROR_SERVER_LIVESHIFT_DATA_PARSER_ERROR

          public static final ErrorCode ERROR_SERVER_LIVESHIFT_DATA_PARSER_ERROR

    - #### ERROR_KEYMANAGER_UNKNOWN

          public static final ErrorCode ERROR_KEYMANAGER_UNKNOWN

    - #### ERROR_TBDRM_UNKNOWN

          public static final ErrorCode ERROR_TBDRM_UNKNOWN

    - #### ERROR_TBDRM_DEMUXER_UNIMPLEMENTED

          public static final ErrorCode ERROR_TBDRM_DEMUXER_UNIMPLEMENTED

    - #### ERROR_ARTP_UNKNOWN

          public static final ErrorCode ERROR_ARTP_UNKNOWN

    - #### ERROR_ARTP_DEMUXER_UNIMPLEMENTED

          public static final ErrorCode ERROR_ARTP_DEMUXER_UNIMPLEMENTED

    - #### ERROR_ARTP_LOAD_FAILED

          public static final ErrorCode ERROR_ARTP_LOAD_FAILED

    - #### ERROR_ARTP_STREAM_ILLEGAL

          public static final ErrorCode ERROR_ARTP_STREAM_ILLEGAL

    - #### ERROR_ARTP_STREAM_FORBIDDEN

          public static final ErrorCode ERROR_ARTP_STREAM_FORBIDDEN

    - #### ERROR_ARTP_STREAM_NOT_FOUND

          public static final ErrorCode ERROR_ARTP_STREAM_NOT_FOUND

    - #### ERROR_ARTP_STREAM_STOPPED

          public static final ErrorCode ERROR_ARTP_STREAM_STOPPED

    - #### ERROR_ARTP_PLAY_TIMEOUT

          public static final ErrorCode ERROR_ARTP_PLAY_TIMEOUT

    - #### ERROR_ARTP_ARTP_MEDIA_INFO_TIMEOUT

          public static final ErrorCode ERROR_ARTP_ARTP_MEDIA_INFO_TIMEOUT

    - #### ERROR_ARTP_PACKET_RECV_TIMEOUT

          public static final ErrorCode ERROR_ARTP_PACKET_RECV_TIMEOUT

    - #### ERROR_ARTP_MEDIA_PROBE_FAILED

          public static final ErrorCode ERROR_ARTP_MEDIA_PROBE_FAILED

    - #### ERROR_UNKNOWN_ERROR

          public static final ErrorCode ERROR_UNKNOWN_ERROR

    - #### ERROR_DEMUXER_START

          public static final ErrorCode ERROR_DEMUXER_START

    - #### ERROR_DEMUXER_OPENURL

          public static final ErrorCode ERROR_DEMUXER_OPENURL

    - #### ERROR_DEMUXER_NO_VALID_STREAM

          public static final ErrorCode ERROR_DEMUXER_NO_VALID_STREAM

    - #### ERROR_DEMUXER_OPENSTREAM

          public static final ErrorCode ERROR_DEMUXER_OPENSTREAM

    - #### ERROR_LOADING_TIMEOUT

          public static final ErrorCode ERROR_LOADING_TIMEOUT

    - #### ERROR_DATASOURCE_EMPTYURL

          public static final ErrorCode ERROR_DATASOURCE_EMPTYURL

    - #### ERROR_DECODE_BASE

          public static final ErrorCode ERROR_DECODE_BASE

    - #### ERROR_DECODE_VIDEO

          public static final ErrorCode ERROR_DECODE_VIDEO

    - #### ERROR_DECODE_AUDIO

          public static final ErrorCode ERROR_DECODE_AUDIO

    - #### ERROR_NETWORK_UNKNOWN

          public static final ErrorCode ERROR_NETWORK_UNKNOWN

    - #### ERROR_NETWORK_UNSUPPORTED

          public static final ErrorCode ERROR_NETWORK_UNSUPPORTED

    - #### ERROR_NETWORK_RESOLVE

          public static final ErrorCode ERROR_NETWORK_RESOLVE

    - #### ERROR_NETWORK_CONNECT_TIMEOUT

          public static final ErrorCode ERROR_NETWORK_CONNECT_TIMEOUT

    - #### ERROR_NETWORK_COULD_NOT_CONNECT

          public static final ErrorCode ERROR_NETWORK_COULD_NOT_CONNECT

    - #### ERROR_NETWORK_HTTP_403

          public static final ErrorCode ERROR_NETWORK_HTTP_403

    - #### ERROR_NETWORK_HTTP_404

          public static final ErrorCode ERROR_NETWORK_HTTP_404

    - #### ERROR_NETWORK_HTTP_4XX

          public static final ErrorCode ERROR_NETWORK_HTTP_4XX

    - #### ERROR_NETWORK_HTTP_5XX

          public static final ErrorCode ERROR_NETWORK_HTTP_5XX

    - #### ERROR_NETWORK_HTTP_RANGE

          public static final ErrorCode ERROR_NETWORK_HTTP_RANGE

    - #### ERROR_NETWORK_HTTP_400

          public static final ErrorCode ERROR_NETWORK_HTTP_400

    - #### ERROR_NETWORK_HTTP_REDIRECT_NONMEDIA

          public static final ErrorCode ERROR_NETWORK_HTTP_REDIRECT_NONMEDIA

    - #### ERROR_CODEC_UNKNOWN

          public static final ErrorCode ERROR_CODEC_UNKNOWN

    - #### ERROR_CODEC_VIDEO_NOT_SUPPORT

          public static final ErrorCode ERROR_CODEC_VIDEO_NOT_SUPPORT

    - #### ERROR_CODEC_AUDIO_NOT_SUPPORT

          public static final ErrorCode ERROR_CODEC_AUDIO_NOT_SUPPORT

    - #### ERROR_INERNAL_UNKNOWN

          public static final ErrorCode ERROR_INERNAL_UNKNOWN

    - #### ERROR_INERNAL_EXIT

          public static final ErrorCode ERROR_INERNAL_EXIT

    - #### ERROR_GENERAL_UNKNOWN

          public static final ErrorCode ERROR_GENERAL_UNKNOWN

    - #### ERROR_GENERAL_EPERM

          public static final ErrorCode ERROR_GENERAL_EPERM

    - #### ERROR_GENERAL_ENOENT

          public static final ErrorCode ERROR_GENERAL_ENOENT

    - #### ERROR_GENERAL_EIO

          public static final ErrorCode ERROR_GENERAL_EIO

    - #### ERROR_UNKNOWN

          public static final ErrorCode ERROR_UNKNOWN

    - #### DOWNLOAD_ERROR_NOT_SELECT_ITEM

          public static final ErrorCode DOWNLOAD_ERROR_NOT_SELECT_ITEM

    - #### DOWNLOAD_ERROR_NO_DOWNLOAD_ITEM

          public static final ErrorCode DOWNLOAD_ERROR_NO_DOWNLOAD_ITEM

    - #### DOWNLOAD_ERROR_STS_SOURCE_NULL

          public static final ErrorCode DOWNLOAD_ERROR_STS_SOURCE_NULL

    - #### DOWNLOAD_ERROR_AUTH_SOURCE_NULL

          public static final ErrorCode DOWNLOAD_ERROR_AUTH_SOURCE_NULL

    - #### DOWNLOAD_ERROR_AUTH_SOURCE_WRONG

          public static final ErrorCode DOWNLOAD_ERROR_AUTH_SOURCE_WRONG

    - #### DOWNLOAD_ERROR_INVALID_ITEM

          public static final ErrorCode DOWNLOAD_ERROR_INVALID_ITEM

    - #### DOWNLOAD_ERROR_URL_CANNOT_REACH

          public static final ErrorCode DOWNLOAD_ERROR_URL_CANNOT_REACH

    - #### DOWNLOAD_ERROR_NOT_SUPPORT_FORMAT

          public static final ErrorCode DOWNLOAD_ERROR_NOT_SUPPORT_FORMAT

    - #### DOWNLOAD_ERROR_ENCRYPT_FILE_NOT_MATCH

          public static final ErrorCode DOWNLOAD_ERROR_ENCRYPT_FILE_NOT_MATCH

    - #### DOWNLOAD_ERROR_DOWNLOAD_SWITCH_OFF

          public static final ErrorCode DOWNLOAD_ERROR_DOWNLOAD_SWITCH_OFF

    - #### DOWNLOAD_ERROR_NET_ERROR

          public static final ErrorCode DOWNLOAD_ERROR_NET_ERROR

    - #### DOWNLOAD_ERROR_NOT_SET_SAVE_DIR

          public static final ErrorCode DOWNLOAD_ERROR_NOT_SET_SAVE_DIR

    - #### DOWNLOAD_ERROR_CANNOT_CREATE_SAVE_DIR

          public static final ErrorCode DOWNLOAD_ERROR_CANNOT_CREATE_SAVE_DIR

    - #### DOWNLOAD_ERROR_NO_SPACE

          public static final ErrorCode DOWNLOAD_ERROR_NO_SPACE

    - #### DOWNLOAD_ERROR_WRITE_ERROR

          public static final ErrorCode DOWNLOAD_ERROR_WRITE_ERROR

    - #### DOWNLOAD_ERROR_ENCRYPT_ERROR

          public static final ErrorCode DOWNLOAD_ERROR_ENCRYPT_ERROR

    - #### DOWNLOAD_ERROR_FILE_NOT_EXIST

          public static final ErrorCode DOWNLOAD_ERROR_FILE_NOT_EXIST

    - #### DOWNLOAD_ERROR_CLEAN_INVALID_PARAM

          public static final ErrorCode DOWNLOAD_ERROR_CLEAN_INVALID_PARAM

    - #### DOWNLOAD_ERROR_CLEAN_WRONG_STATUS

          public static final ErrorCode DOWNLOAD_ERROR_CLEAN_WRONG_STATUS

    - #### DOWNLOAD_ERROR_GET_AES_KEY_FAIL

          public static final ErrorCode DOWNLOAD_ERROR_GET_AES_KEY_FAIL

    - #### DOWNLOAD_ERROR_ENCRYPTION_NOT_SUPPORT

          public static final ErrorCode DOWNLOAD_ERROR_ENCRYPTION_NOT_SUPPORT

  - ### Method Detail

    - #### values

          public static ErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ErrorCode c : ErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ErrorCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()